{
  "content": "(module t2_length\n  (data List (vars a)\n    (ctor Nil)\n    (ctor Cons a (con List)))\n  (fn length\n    (type (forall (vars a) (fn-type (params (con List a)) (ret (con Int)))))\n    (params xs)\n    (body (match xs\n      (case (pat-ctor Nil) 0)\n      (case (pat-ctor Cons _ t) (app + 1 (app length t))))))\n  (fn main\n    (type (fn-type (params) (ret (con Unit)) (effects IO)))\n    (params)\n    (body (seq (do io/print_int (app length (term-ctor List Nil))) (do io/print_int (app length (term-ctor List Cons 7 (term-ctor List Cons 8 (term-ctor List Cons 9 (term-ctor List Nil))))))))))\n",
  "usage": {
    "completion_tokens": 193,
    "prompt_tokens": 6939,
    "total_tokens": 7132
  }
}